qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carl Trieloff <cctriel...@redhat.com>
Subject FWD -List moved:: Can't run tests of qpid ruby client
Date Mon, 15 Dec 2008 14:31:01 GMT

Please re-all, so Markus will pick up the reply....

The new users list is: users@qpid.apache.org

---------------------------------------------------


I tried to run the tests of the qpid ruby client without success.

The following error occurs:

Loaded suite ./run-tests
Started
./qpid/connection.rb:61: warning: Object#type is deprecated; use
Object#class
undefined method `decode' for nil:NilClass
  ./qpid/connection.rb:102:in `decode'
  ./qpid/connection.rb:61:in `read'
  ./qpid/peer.rb:90:in `reader'
  ./qpid/peer.rb:74:in `send'
  ./qpid/peer.rb:74:in `spawn'
  ./qpid/peer.rb:72:in `initialize'
  ./qpid/peer.rb:72:in `new'
  ./qpid/peer.rb:72:in `spawn'
  ./qpid/peer.rb:55:in `start'
  ./qpid/client.rb:83:in `start'
  ./qpid/test.rb:32:in `connect'
  ./tests/basic.rb:39:in `consume'
  ./tests/basic.rb:63:in `test_consume'
  /usr/lib/ruby/1.8/test/unit/testcase.rb:78:in `__send__'
  /usr/lib/ruby/1.8/test/unit/testcase.rb:78:in `run'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'
  /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'
  /usr/lib/ruby/1.8/test/unit/ui/testrunnermediator.rb:46:in `run_suite'
  /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:67:in
`start_mediator'
  /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:41:in `start'
  /usr/lib/ruby/1.8/test/unit/ui/testrunnerutilities.rb:29:in `run'
  /usr/lib/ruby/1.8/test/unit/autorunner.rb:216:in `run'
  /usr/lib/ruby/1.8/test/unit/autorunner.rb:12:in `run'
  /usr/lib/ruby/1.8/test/unit.rb:278
  ./run-tests:23

Does anyone know which might be the source of the problem ? I compiled
and run the qpid c++ broker.

Is it possible that the problem is associated with the amqp specs? The
error occurs here so it seems that TYPES is empty (or something
similar):
line102:      klass = TYPES[type]
line101:      klass.decode(spec, dec)

Does anyone know any documentation on the ruby client ? I would like to
read more about it but it seems to be very difficult to find something.

Thanks for any help  ;) 


Mime
View raw message